@custom-variant dark (&:is(.dark *));

:root {

  --background: oklch(0.9928 0.0013 67.8074);
  --foreground: oklch(0.2172 0.0302 47.2310);
  --card: oklch(1.0000 0 0);
  --card-foreground: oklch(0.2172 0.0302 47.2310);
  --popover: oklch(1.0000 0 0);
  --popover-foreground: oklch(0.2172 0.0302 47.2310);

  --primary: oklch(0.5886 0.0714 69.4323);
  --primary-foreground: oklch(0.9853 0.0017 67.8024);
  --secondary: oklch(0.9427 0.0107 71.3507);
  --secondary-foreground: oklch(0.3257 0.0544 46.7922);

  --muted: oklch(0.9703 0.0026 67.7921);
  --muted-foreground: oklch(0.5534 0.0226 48.2913);

  --accent: oklch(0.5596 0.1849 29.3841);
  --accent-foreground: oklch(1.0000 0 0);

  --destructive: oklch(0.6356 0.2082 25.3782);
  --destructive-foreground: oklch(0.9848 0 0);

  --border: oklch(0.9275 0.0112 71.3441);
  --input: oklch(0.9494 0.0078 71.3792);
  --ring: oklch(0.5886 0.0714 69.4323);

  --font-sans: Plus Jakarta Sans, Cairo, sans-serif;
  --font-serif: Playfair Display, serif;
  --font-mono: JetBrains Mono, monospace;

  --radius: 1rem;

  --shadow-2xs: 0px 6px 20px 0px hsl(20 47% 10% / 0.03);
  --shadow-sm: 0px 6px 20px 0px hsl(20 47% 10% / 0.06), 0px 1px 2px -1px hsl(20 47% 10% / 0.06);
  --shadow: 0px 6px 20px 0px hsl(20 47% 10% / 0.06), 0px 1px 2px -1px hsl(20 47% 10% / 0.06);
}

.dark {

  --background: oklch(0.1453 0.0142 52.8848);
  --foreground: oklch(0.9557 0.0053 67.7614);
  --card: oklch(0.1822 0.0221 47.4867);
  --card-foreground: oklch(0.9557 0.0053 67.7614);

  --primary: oklch(0.7098 0.0618 70.3095);
  --primary-foreground: oklch(0.1453 0.0142 52.8848);

  --secondary: oklch(0.2377 0.0226 47.7493);
  --secondary-foreground: oklch(0.8885 0.0134 67.6540);

  --muted: oklch(0.2152 0.0128 48.1050);
  --muted-foreground: oklch(0.6817 0.0190 48.4276);

  --accent: oklch(0.6078 0.1742 28.4527);
  --accent-foreground: oklch(1.0000 0 0);

  --destructive: oklch(0.4776 0.1631 25.9396);
  --destructive-foreground: oklch(0.9848 0 0);

  --border: oklch(0.2699 0.0273 47.6825);
  --input: oklch(0.2377 0.0226 47.7493);
  --ring: oklch(0.7098 0.0618 70.3095);

  --font-sans: Plus Jakarta Sans, Cairo, sans-serif;
  --font-serif: Playfair Display, serif;
  --font-mono: JetBrains Mono, monospace;

  --radius: 1rem;

  --shadow-sm: 0px 12px 30px 0px hsl(0 0% 0% / 0.30), 0px 1px 2px -1px hsl(0 0% 0% / 0.30);
  --shadow: 0px 12px 30px 0px hsl(0 0% 0% / 0.30), 0px 1px 2px -1px hsl(0 0% 0% / 0.30);
}

body {
  letter-spacing: 0.015em;
}
